解决npm中提示 You may need an appropriate loader to handle this file type

在一个vuejs项目中使用了 reactjs 中 jsx格式的文件代码 , 提示:

You may need an appropriate loader to handle this file type

解决方法 :


npm install babel-preset-es2015

有警告先不用管 . 接着配置

webpack.config.js

在rules中添加

{
test: /\.jsx?$/,
loader: 'babel-loader',
exclude: /node_modules/,
query: {
presets: ['es2015']
}
}

解决问题

(完)

分享到